package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.welcome.model.TaVisitingLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Mapper
public interface TaVisitingLogMapper extends BaseMapper<TaVisitingLog> {
    List<Map<String, String>> getVisitingDailyAmount(@Param("startDate") LocalDateTime startDate, @Param("endDate") LocalDateTime endDate);

    List<Map<String, Long>> getRegularClientTodayAmount();

    IPage<TaVisitingLog> getVisitingList(Page page, @Param("startDate") String startDate, @Param("endDate") String endDate, @Param("personId") Integer personId);
}
