package com.huiju.welcome.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.mapper.TaGoodsMapper;
import com.huiju.welcome.model.TaGoods;
import com.huiju.welcome.service.ITaGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Service
public class TaGoodsServiceImpl extends ServiceImpl<TaGoodsMapper, TaGoods> implements ITaGoodsService {

    @Autowired
    private TaGoodsMapper taGoodsMapper;

    @Override
    public ResponseBean goodsList(IPage<TaGoods> pg, String goodsName, Integer typeId) {
        ResponseBean responseBean= new ResponseBean();
        IPage<TaGoods> list= taGoodsMapper.goodsList(pg,goodsName,typeId);
        responseBean.addSuccess(list);
        return responseBean;
    }
}
